Subject: Re: [PATCH v1] channels: add transformer field

From: Jakob Kirsch <[email-masked]>
Date: Sat, 24 May 2025 15:10:08 +0200

On Fri, May 23, 2025 at 10:08:48PM +0200, Rutherther wrote:
> 
> I was very sad I couldn't use this feature now to patch the channels.
> And then it hit me! I can use it! I will pull guix with this patch,
> once, and then keep this patch in the transformers fields until it's
> merged! So the patch will be 'bootstraping' itself on each pull :D

That's what I've been doing for a while now. I've even added a function to my own channel that makes applying patches from issues easier.

The utility function is here: https://github.com/jakiki6/lauras-channel/blob/master/laura/utils.scm#L11
and an example from my config is here: https://github.com/jakiki6/guix-system/blob/master/files/channels.scm#L8